restart
add wave CLK    
add wave CD
add wave Enable_TX
add wave ST
add wave TX_IN
   
add wave Serial_out
add wave ET

run  32 ns
-- Start the CLK of a 9600 kHz frequency (104.17 us period and 50% duty cycle) 
force CLK 0 0, 1 52 us -repeat 104.17 us

-- Set other input signals to an non-active level 
run  222 us
force CD 0
force Enable_TX 0
force ST 0
force TX_IN 10100011
run  120 us

-- Let's apply a Clear Direct  

force CD 1
run  246 us
force CD 0
run  120 us

-- Let's enable the transmitter 

force Enable_TX  1
run  246 us


-- Let's transmit the data  (A3)h
force ST 1
run  321 us
force ST 0

run  2500 us

-- new data to transmit (E9)h
force TX_IN 11101001
run  15.7 us
-- Let's transmit the data to see how the system 
-- does not come back to idle until ST is cleared
force ST 1
run  2500 us
force ST 0

run  1500 us

-- new data to transmit (54)h
force TX_IN 01010100
run  18.7 us
force ST 1
run  321 us
force ST 0

run  2500 us


